function x = mv( y, A );

%
% Function for (preconditioned) matrix-vector multiplication.
%
% The software is distributed without any warranty.
%
% Martin van Gijzen
% Copyright (c) December 2010
%

% Matrix-vector multiplication
x = A.K*y;

% Deflation?
if A.num_defl > 0
    x = x - A.AV*(A.H0\(A.V'*x));
end 

return
